# CLI Tests

This directory contains a series of integration tests written for the CLI's end-to-end behavior. These do not test the features of Perseus (integration tests in the `examples/` directory do that), these use only the inbuilt example generated by `perseus new`.

## Tests

- `perseus new`
  - With just a project name (this should then be able to `perseus build`)
  - With a project name and an arbitrary template URL
  - With a project name and an arbitrary template URL pointing to a specific branch
- `perseus init`
- `perseus clean`
- `perseus build`
  - First time, ensuring tools are installed
  - Second time with same directory, ensuring tools are not reinstalled
  - In release mode, ensuring smaller artifacts produced
- `perseus export`
  - Without serving
  - With serving
  - Serving with custom host/port
  - In release mode, ensuring smaller artifacts produced
- `perseus export-error-page`
  - Error code for which a page is defined
  - Error code for which a page is not defined (fallback should be rendered)
- `perseus serve`/`perseus test` (same code, `perseus test`'s unique behavior tested in `examples/` integration tests by proxy)
  - Default
  - With custom host/port
  - Without running final binary (confirming that produced path to binary exists)
- `perseus snoop build` (checking `dbg!` call visibility)
- `perseus snoop wasm-build` (checking `dbg!` call visibility)
- `perseus snoop serve` (checking `dbg!` call visibility)
  - Default
  - With custom host/port
- `perseus tinker` (with a simple plugin that generates a file)

- Watching with `perseus serve` (behavior identical in code to `perseus export`)
  - Watching custom files/directories

## Untested Behavior

These behaviors are those known to be untested. Any behaviors not listed here that aren't tested most certainly should be, and you should [file an issue](https://github.com/artic-hen7/perseus/issues/new/choose)!

- System-wide tools cache (TODO with spoofed home directory)
- Browser reloading/HSR (manually tested)
