# This will need to be updated for warning links
-latest-stable-version = 0.3.4

perseus = Perseus
sycamore = Sycamore
navlinks =
    .docs = Docs
    .comparisons = Comparisons
    .plugins = Plugins
index-get-started = Get Started
index-github = GitHub
index-desc = Perseus is a web development framework built entirely in Rust, designed to empower efficient development of the next generation of lightning-fast sites for the modern web. It comes with server-side rendering, static site generation, internationalization, and inferred routing built-in, letting you build even the most complex sites in a breeze.
index-caption = The Rust framework for the modern web.
index-comparisons = Or See How Perseus Compares
index-workflow =
    .heading = Building a Perseus App:
    .step-1 = Install Perseus:
    .step-2 = Build your awesome app with <a href="https://github.com/sycamore-rs/sycamore" class="underline">Sycamore</a>
    .step-3 = Serve your app locally:
    .step-4 = Deploy your app to a single directory:
    .step-5 = Upload that to a server!
index-cta =
    .first = What are you waiting for?
    .second = Dive in and start building for the web of tomorrow!
footer =
    .copyright = © <a href="https://github.com/arctic-hen7" class="underline">arctic-hen7</a> { $years }, see license <a href="https://github.com/arctic-hen7/perseus/blob/main/LICENSE" class="underline">here</a>.

feature-ssg =
    .name = Static generation
    .desc = Pre-render pages at build-time before you've even had any visits!
feature-ssr =
    .name = Server-side rendering
    .desc = Render pages on the server to reduce the load on the client.
feature-i18n =
    .name = Internationalization
    .desc = Out-of-the-box support for building your app in multiple languages.
feature-incremental =
    .name = Incremental generation
    .desc = Render pages on-demand and cache them for future use.
feature-revalidation =
    .name = Revalidation
    .desc = Rebuild pages automatically without lifting a finger.
feature-cli =
    .name = CLI
    .desc = Comes with a friendly interface to accelerate your development pace.
feature-routing =
    .name = Inferred routing
    .desc = You do your app, Perseus does the rest automatically.
feature-shell =
    .name = App shell
    .desc = Get all the benefits of a single-page app without any of the downsides.
feature-deployment =
    .name = Single-command deployment
    .desc = Take your apps to production with one command.
feature-exporting =
    .name = Static exporting
    .desc = Deploy your apps without needing a server.

comparisons-title = Comparisons to Other Frameworks
comparisons-heading = Comparisons
comparisons-subtitle = See how Perseus compares to other web development frameworks.
comparisons-extra = Is there anything we're missing here? Please <a href ="https://github.com/arctic-hen7/perseus/issues/new/choose" class="underline">open an issue</a> and let us know!
comparisons-table-header = Comparison
comparisons-table-headings =
    .name = Name
    .supports_ssg = Static generation
    .supports_ssr = Server-side rendering
    .supports_ssr_ssg_same_page = SSG & SSR in same page
    .supports_i18n = Internationalization
    .supports_incremental = Incremental generation
    .supports_revalidation = Revalidation
    .inbuilt_cli = Inbuilt CLI
    .inbuilt_routing = Routing support
    .supports_shell = App shell
    .supports_deployment = Easy deployment
    .supports_exporting = Static exporting
    .language = Language
    .homepage_lighthouse_desktop = Homepage Lighthouse Score (Desktop)
    .homepage_lighthouse_mobile = Homepage Lighthouse Score (Mobile)
comparisons-table-details =
    .language = The programming language this framework is built in. (Hint: Rust is the fastest!)
    .supports_ssg = Whether or not the framework supports pre-rendering pages at build-time.
    .supports_ssr = Whether or not the framework supports rendering pages dynamically when they're requested.
    .supports_ssr_ssg_same_page = Whether or not the framework supports SSG and SSR (see above) in the very same page.
    .supports_i18n = Whether or not the framework supports building a multilingual app. Some frameworks support this through plugins.
    .supports_incremental = Whether or not the framework supports rendering pages on-demand and then caching them for future use.
    .supports_revalidation = Whether or not the framework supports rebuilding pages that were built at build-time at request-time. Some frameworks can do this by time, or by custom logic. Perseus supports both.
    .inbuilt_cli = Whether or not the framework has a command-line interface for convenient usage. Some frameworks use third-party CLIs.
    .inbuilt_routing = Whether or not the framework supports inbuilt routing. Most frameworks have their own way of doing this if they do support it.
    .supports_shell = Whether or not this framework has an app shell, which makes switching pages much faster and cleaner.
    .supports_deployment = Whether or not this framework supports easy deployment. Perseus can deploy in one command.
    .supports_exporting = Whether or not this framework can operate without a server, as a series of purely static files.
    .homepage_lighthouse_desktop = The Lighthouse score out of 100 for desktop (higher is better). These are collected from Google's PageSpeed Insights tool. These are for the framework's website, and may not reflect the performance of all sites made with the framework.
    .homepage_lighthouse_mobile = The Lighthouse score out of 100 for mobile (higher is better). These are collected from Google's PageSpeed Insights tool. These are for the framework's website, and may not reflect the performance of all sites made with the framework.
comparisons-sycamore-heading = Perseus vs Sycamore
comparisons-sycamore-text = Perseus is a framework that uses Sycamore to write views (the things users see), so there's not much point in comparing the two as competitors. However, Sycamore can be used without Perseus, which works perfectly well, though you'll miss out on features like inbuilt internationalization, static generation (though you could build this yourself), and incremental generation. If you want to build just a bit of your site with Rust, Sycamore is the perfect tool, Perseus is a full framework designed for building entire websites.

docs-title-base = Perseus Docs
docs-status =
    .outdated = This version of the documentation is outdated, and features documented here may work differently now. You can see the latest stable version of the docs <a href="en-US/docs/{ -latest-stable-version }/intro" class="underline">here</a>.
    .beta = This version of the documentation is for a version that has only been released in beta, and is not yet stable. Features documented here may not be present in the latest stable version, and they're subject to rapid and drastic change. You can see the latest stable version of the docs <a href="en-US/docs/{ -latest-stable-version }/intro" class="underline">here</a>.
    .next = This version of the documentation is for a version that has not yet been released, and features documented here may not be present in the latest release. You can see the latest stable version of the docs <a href="en-US/docs/{ -latest-stable-version }/intro" class="underline">here</a>.
docs-version-switcher =
    .next = Next (unreleased)
    .beta = v{ $version } (beta)
    .stable = v{ $version } (stable)
    .outdated = v{ $version } (outdated)

plugins-title = Plugins
plugins-title-full = Perseus Plugins
plugin-card-author = By { $author }
plugin-details =
    .repo_link = Repository:
    .crates_link = Crate page:
    .docs_link = Docs:
    .site_link = Site:
    .metadata_heading = Metadata
    .no_link_text = N/A
plugin-search =
    .placeholder = Search
    .no_results = No results found.
plugins-desc = These are all the public plugins for Perseus! If you've made a plugin, and you'd like it to be listed here, please open an issue on our repository!
